at.chipkarte.client.aum.soap

## Class Person

- Object
- - at.chipkarte.client.aum.soap.Person

-     public class Person
      extends Object

  Diese Klasse enthält alle personenbezogenen Daten einer Meldung. Ein Patient kann identifiziert werden durch:
  - SV-Nummer (in diesem Fall kann `ungeprueft` gleich `true` oder `false` sein.
  - Vorname, Zuname, Geburtsdatum, Geschlecht, EKVK-Nummer und EKVK-Träger (EKVK-Patient - `ungeprueft` muss `false` sein.)
  - Vorname, Zuname, Geburtsdatum (Patient ohne bzw. mit nicht bekannter SV-Nummer, `ungeprueft` muss `true` sein.)
  Die Felder, die den Patienten im jeweiligen Fall identifizieren, sind Pflichtfelder. Falls eine SV-Nummer angegeben ist, dürfen weder die EKVK-Nummer noch der EKVK-Träger gesetzt sein.
  Wird eine SV-Nummer angegeben, muss diese im e-card-System bekannt sein. Wenn nicht wird ein Fehler ausgegeben (unabhängig von `ungeprueft` gleich `true` oder `false`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Person()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckVorname()` Druckvorname des Patienten (im Zeichensatz UTF-8); Ausgabefeld, wird nur im Rückgabewert der Funktion meldungAnlegen() verwendet, sonst immer null.
    `String` | `getDruckZuname()` Druckzuname des Patienten (im Zeichensatz UTF-8); Ausgabefeld, wird nur im Rückgabewert der Funktion meldungAnlegen() verwendet, sonst immer null.
    `String` | `getEkvkNummer()` Kennnummer der EKVK-Karte des EKVK-Patienten (Feld 8).
    `String` | `getEkvkTraeger()` Der (ausländische) KVT des EKVK-Patienten.
    `String` | `getGeburtsdatum()` Das Geburtsdatum des Patienten.
    `String` | `getGeschlecht()` Geschlechts-Code des EKVK-Patienten.
    `String` | `getSvNummer()` SV-Nummer des Patienten.
    `String` | `getVorname()` Vorname des Patienten.
    `String` | `getZuname()` Zuname des Patienten.
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setDruckZuname(String druckZuname)`
    `void` | `setEkvkNummer(String nummer)`
    `void` | `setEkvkTraeger(String traeger)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Person

          public Person()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      SV-Nummer des Patienten.
      Format: 10-stellig
      Returns:
        SV-Nummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getEkvkNummer

          public String getEkvkNummer()

      Kennnummer der EKVK-Karte des EKVK-Patienten (Feld 8).
      Format: 20-stellig
      Returns:
        EKVK-Nummer

    - #### setEkvkNummer

          public void setEkvkNummer(String nummer)

    - #### getEkvkTraeger

          public String getEkvkTraeger()

      Der (ausländische) KVT des EKVK-Patienten.
      Format: maximal 70-stellig
      Returns:
        EKVK-Träger

    - #### setEkvkTraeger

          public void setEkvkTraeger(String traeger)

    - #### getGeschlecht

          public String getGeschlecht()

      Geschlechts-Code des EKVK-Patienten.
      mögliche Werte: `Geschlechtscodes`. Für die Eingabe sind nur die Werte `M` und `W` zulässig.
      Format: 1-stellig
      Returns:
        Code des Geschlechts

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### getZuname

          public String getZuname()

      Zuname des Patienten.
      Bei Verwendung des Objektes als Eingangsparameter: Pflichtfeld für EKVK-Patienten und für Meldungen ohne Anspruch und ohne SvNummer.
      Bei Verwendung des Objektes als Ausgangsparameter: Dieser Parameter enthält den Zunamen des Patienten - unabhängig davon ob der Patienten mittels SV-Nummer oder manuell per Personendatenangabe erfasst wurde.
      Format: maximal 70-stellig
      Returns:
        Zuname der Person

    - #### setZuname

          public void setZuname(String zuname)

    - #### getDruckZuname

          public String getDruckZuname()

      Druckzuname des Patienten (im Zeichensatz UTF-8); Ausgabefeld, wird nur im Rückgabewert der Funktion meldungAnlegen() verwendet, sonst immer null.
      Format: maximal 70-stellig
      Returns:
        Druckzuname der Person

    - #### setDruckZuname

          public void setDruckZuname(String druckZuname)

    - #### getVorname

          public String getVorname()

      Vorname des Patienten.
      Bei Verwendung des Objektes als Eingangsparameter: Pflichtfeld für EKVK-Patienten und für Meldungen ohne Anspruch und ohne SvNummer.
      Bei Verwendung des Objektes als Ausgangsparameter: Dieser Parameter enthält den Vornamen des Patienten - unabhängig davon ob der Patienten mittels SV-Nummer oder manuell per Personendatenangabe erfasst wurde.
      Format: maximal 70-stellig
      Returns:
        Vorname der Person

    - #### setVorname

          public void setVorname(String vorname)

    - #### getDruckVorname

          public String getDruckVorname()

      Druckvorname des Patienten (im Zeichensatz UTF-8); Ausgabefeld, wird nur im Rückgabewert der Funktion meldungAnlegen() verwendet, sonst immer null.
      Format: maximal 70-stellig
      Returns:
        Druckvorname der Person

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Das Geburtsdatum des Patienten.
      Pflichtfeld falls `ungeprueft == true` und keine SV-Nummer angegeben ist, sowie für EKVK-Personen.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Geburtsdatum

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)